%if 0%{?fedora} > 19
%global _python3_pkgdocdir %{_docdir}/python3-lazy
%else
%global _python3_pkgdocdir %{_docdir}/python3-lazy-%{version}
%endif

Name:           python-lazy
Version:        1.2
Release:        5%{?dist}
Summary:        Lazy attributes for Python objects

License:        BSD
URL:            https://pypi.python.org/pypi/lazy
Source0:        https://pypi.python.org/packages/source/l/lazy/lazy-%{version}.zip

BuildArch:      noarch

BuildRequires:  python2-devel, python3-devel
BuildRequires:  python-setuptools, python3-setuptools
BuildRequires:  python-sphinx, python3-sphinx

%description
Lazy attributes are computed attributes that are evaluated only once, the first
time they are used.  Subsequent uses return the results of the first call. They
come handy when code should run

- *late*, i.e. just before it is needed, and
- *once*, i.e. not twice, in the lifetime of an object.

You can think of it as deferred initialization.
The possibilities are endless.

%package -n python3-lazy
Summary:        Lazy attributes for objects in Python 3

%description -n python3-lazy
Lazy attributes are computed attributes that are evaluated only once, the first
time they are used.  Subsequent uses return the results of the first call. They
come handy when code should run

- *late*, i.e. just before it is needed, and
- *once*, i.e. not twice, in the lifetime of an object.

You can think of it as deferred initialization.
The possibilities are endless.

%prep
%setup -qc
mv lazy-%{version} python2

pushd python2
# Copy common doc files to the top directory
cp -pr CHANGES.rst README.rst ../

rm -rf lazy.egg-info
popd

cp -a python2 python3

%build
pushd python2
%{__python2} setup.py build
make -C docs html SPHINXBUILD=sphinx-build %{?_smp_mflags}
popd

pushd python3
%{__python3} setup.py build
make -C docs html SPHINXBUILD=sphinx-build-%{python3_version} %{?_smp_mflags}
popd

%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_pkgdocdir}
cp -r docs/_build/html %{buildroot}%{_pkgdocdir}
rm -f %{buildroot}%{_pkgdocdir}/html/.buildinfo
rm -f %{buildroot}%{_pkgdocdir}/html/objects.inv
popd

pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_python3_pkgdocdir}
cp -r docs/_build/html %{buildroot}%{_python3_pkgdocdir}
rm -f %{buildroot}%{_python3_pkgdocdir}/html/.buildinfo
rm -f %{buildroot}%{_python3_pkgdocdir}/html/objects.inv
popd

%check
pushd python2
%{__python2} setup.py test
popd

pushd python3
%{__python3} setup.py test
popd

%files
%doc CHANGES.rst README.rst
%{python2_sitelib}/lazy
%{python2_sitelib}/lazy-%{version}-*.egg-info

%files -n python3-lazy
%doc CHANGES.rst README.rst
%{python3_sitelib}/lazy
%{python3_sitelib}/lazy-%{version}-*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 David Shea <dshea@redhat.com> - 1.2-4
- Move the python3 build directory into the main build directory
- Fix the python3 package documentation lists
- Actually run the tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri May  2 2014 David Shea <dshea@redhat.com> - 1.2-1
- New upstream release lazy-1.2

* Mon Mar 31 2014 David Shea <dshea@redhat.com> - 1.1-2
- Added a macro to handle the %_pkgdocdir change between F19 and F20

* Thu Mar 20 2014 David Shea <dshea@redhat.com> - 1.1-1
- Initial package
